export enum FileCodeAmazon {
    ADV_THIRDPARTIES = 'Advertising.(\\d+)/Advertising.3PAudiences.csv',
    ADV_AUDIENCES = 'Advertising.(\\d+)/Advertising.AdvertiserAudiences.csv',
    ADV_CLICKS = 'Advertising.(\\d+)/Advertising.AdvertiserClicks.csv',
    AUDIENCES = 'Advertising.(\\d+)/Advertising.AmazonAudiences.csv',
    WISHLIST = 'Amazon.Lists.Wishlist.(\\d+).(\\d+)/Amazon.Lists.Wishlist.json',
    GAMES_TWITCHPRIME_SUB_HISTORY = 'AmazonGames/AmazonGames.TwitchPrime.SubscriptionCreditHistory.csv',
    GAMES_TWITCHPRIME_ACCOUNT_HISTORY = 'AmazonGames/AmazonGames.TwitchPrime.AccountHistory.csv',
    GAMES_TWITCHPRIME_LINKED_ACCOUNTS = 'AmazonGames/AmazonGames.TwitchPrime.LinkedTwitchAccounts.csv',
    AUDIBLE_LIBRARY = 'Audible.Library/Audible.Library.csv',
    AUDIBLE_LISTENING = 'Audible.Listening/Audible.Listening.csv',
    AUDIBLE_MEMBERSHIP_BILLINGS = 'Audible.MembershipBillings/Audible.MembershipBillings.csv',
    PRIMEVIDEO_WATCHLIST = 'Digital.PrimeVideo.Watchlist/Digital.PrimeVideo.Watchlist.csv',
    PRIMEVIDEO_WATCHLIST_HISTORY = 'Digital.PrimeVideo.Watchlist/Digital.PrimeVideo.WatchlistHistory.csv',
    PRIMEVIDEO_VIEW_COUNT = 'Digital.PrimeVideo.ViewCounts.(\\d+)/Digital.PrimeVideo.ViewCounts.(\\d+).csv',
    PRIMEVIDEO_VIEWINGHISTORY = 'Digital.PrimeVideo.Viewinghistory/Digital.PrimeVideo.Viewinghistory.csv',
    DIGITAL_ORDERING_ITEM = 'Digital-Ordering.(\\d+)/Digital Items.csv',
    DIGITAL_ORDERING_ORDERS = 'Digital-Ordering.(\\d+)/Digital Orders.csv',
    DIGITAL_ORDERING_MONETARY = 'Digital-Ordering.(\\d+)/Digital Orders Monetary.csv',
    DIGITAL_SUBSCRIPTION = 'Digital.Subscriptions/Subscriptions.csv',
    RETAIL_LIGHT_WEIGHT_INTERACTIONS = 'LightWeightInteractions/LightWeightInteractions.csv',
    RETAIL_CART_ITEMS = 'Retail.CartItems.(\\d+)/Retail.CartItems.(\\d+).csv',
    RETAIL_ORDER_HISTORY = 'Retail.OrderHistory.(\\d+)/Retail.OrderHistory.(\\d+).csv',
    RETAIL_REGION_AUTHORITY = 'Retail.RegionAuthority.(\\d+)/Retail.RegionAuthority.(\\d+).csv',
    RETAIL_SELLER_FEEDBACK = 'Retail.Seller-Feedback.(\\d+)/Retail.Seller-Feedback.csv',
    CUSTOMER_ENGAGEMENT = 'Search-Data/Search-Data.Customer-Engagement.csv',
    //TODO: not parsed yet
    SETTING_PRIVACY = 'AccountSettings.PrivacyPreferences.Consents/AccountSettings.PrivacyPreferences.Consents.csv',
    ALEXA_NOTIFICATIONS = 'Alerts/Notifications.csv',
    ALEXA_PROACTIVE = 'AlexaProactive/ProactiveRecommendations-(\\d+).csv',
    ALEXA_USER_STATS = 'AnswerGroups/User Stats.csv',
    ALEXA_CALENDARS = 'Calendars/Calendars-(\\d+).csv',
    ALEXA_DEVICES = 'Mobile/000.csv',
    ALEXA_FEEDBACK = 'Feedback/Feedback-(\\d+).csv',
    ALEXA_LISTS = 'Lists/Lists.csv',
    ALEXA_LOCATION = 'Location/Country of Residence-(\\d+).csv',
    ALEXA_SHOPPING = 'Shopping/Notifications History.csv',
    ALEXA_KARAOKE = 'Karaoke/Karaoke.csv',
    ALEXA_HUNCHES = 'Smart Home/Hunches.csv',
    ALEXA_CAMERA_ALERTS = 'Camera Smart Alerts/Camera Smart Alerts.csv',
    ALEXA_CAMERAS_ALERTS = 'Cameras Smart Alerts/Camera Smart Alerts.csv',
    GAMES_ENTITLEMENTS = 'AmazonGames/AmazonGames.AmazonGamesApp.Entitlements.csv',
    GAMES_EGRESS_IDENTITY = 'AmazonGames/AmazonGames.EgressIdentity.csv',
    GAMES_IDENTITIES = 'AmazonGames/AmazonGames.Identities.csv',
    GAMES_TWITCHPRIME_CLAIMED_OFFERS = 'AmazonGames/AmazonGames.TwitchPrime.ClaimedOffers.csv',
    GAMES_LOSTARK_FORUM = 'AmazonGames/LostArk_Forums_Instructions.txt',
    GAMES_NEWWORLD_FORUM = 'AmazonGames/NewWorld_Forums_Instructions.txt',
    MUSIC_ACCOUNT = 'Amazon-Music/account.csv',
    MUSIC_PREFERENCES_ACCOUNT = 'Amazon-Music/accountPreferences.csv',
    APPSTORE_SUB_PERIOD = 'subscription-period/subscription-period.csv',
    APPSTORE_SUB_TRANSACTION = 'subscription-transaction/subscription-transaction.csv',
    AUDIBLE_DEVICES_ACTIVATIONS = 'Audible.DevicesActivations/Audible.DevicesActivations.csv',
    AUDIBLE_MEMBERSHIP_EVENT = 'Audible.MembershipEvent/Audible.MembershipEvent.csv',
    DEVICES_COMMUNICATION_PREFERENCES = 'CustomerCommunicationExperience.Preferences/CustomerCommunicationExperience.Preferences.csv',
    DEVICES_COMMUNICATION_EMAIL_HISTORY = 'CustomerCommunicationExperience.PreferencesEmailHistory/CustomerCommunicationExperience.PreferencesEmailHistory.csv',
    DIGITAL_ACTION_BENEFIT = 'Digital.ActionBenefit.(\\d+)/Digital.ActionBenefit.(\\d+).csv',
    DIGITAL_CONTENT_WHISPERSYNC = 'Digital.Content.Whispersync/whispersync.csv',
    DIGITAL_CUSTOMER_ATTRIBUTES = 'Digital.CustomerAttributes.(\\d+)/Digital.CustomerAttributes.(\\d+).csv',
    DIGITAL_ORDERS_RETURNS_MONETARY = 'Digital.Orders.Returns.(\\d+)/Digital.Orders.Returns.Monetary.(\\d+).csv',
    DIGITAL_ORDERS_RETURNS_TRANSACTION = 'Digital.Orders.Returns.(\\d+)/Digital.Orders.Returns.Transaction.(\\d+).csv',
    PRIMEVIDEO_CUSTOMER_TITLE_RECOMMENDED = 'Digital.PrimeVideo.CustomerTitleRelevanceRecommendations/Digital.PrimeVideo.CustomerTitleRelevanceRecommendations.csv',
    PRIMEVIDEO_LOCATION_DATA = 'Digital.PrimeVideo.LocationData/Digital.PrimeVideo.LocationData.csv',
    DIGITAL_SUBSCRIPTION_BENEFICIARIES = 'Digital.Subscriptions/Beneficiaries.csv',
    DIGITAL_SUBSCRIPTION_BILLING_ITEMS = 'Digital.Subscriptions/Billing Schedule Items.csv',
    DIGITAL_SUBSCRIPTION_BILLING_SCHEDULE = 'Digital.Subscriptions/Billing Schedules.csv',
    DIGITAL_SUBSCRIPTION_PERIODS = 'Digital.Subscriptions/Subscription Periods.csv',
    DIGITAL_SUBSCRIPTION_PROBLEMS = 'Digital.Subscriptions/Subscription Problems.csv',
    DIGITAL_SUBSCRIPTION_STATUS_HISTORY = 'Digital.Subscriptions/Subscription Status History.csv',
    DIGITAL_ORDERING_PAYMENT_INFO = 'Digital-Ordering.(\\d+)/Legacy Payment Information.csv',
    OUTBOUND_NOTIFICATIONS_HISTORY = 'OutboundNotifications.AmazonApplicationUpdateHistory/OutboundNotifications.AmazonApplicationUpdateHistory.zip.csv',
    OUTBOUND_NOTIFICATIONS_FEEDBACK = 'OutboundNotifications.EmailDeliveryStatusFeedback/OutboundNotifications.EmailDeliveryStatusFeedback.zip.csv',
    OUTBOUND_NOTIFICATIONS_EVENTS = 'OutboundNotifications.NotificationEngagementEvents/OutboundNotifications.NotificationEngagementEvents.zip.csv',
    OUTBOUND_NOTIFICATIONS_DATA = 'OutboundNotifications.PushSentData/OutboundNotifications.PushSentData.zip.csv',
    OUTBOUND_NOTIFICATIONS_SENT = 'OutboundNotifications.SentNotifications/OutboundNotifications.SentNotifications.zip.csv',
    PAYMENT_OPTIONS_INSTRUMENTS = 'PaymentOptions.PaymentInstruments/PaymentOptions.PaymentInstruments.csv',
    PRIMEVIDEO_WATCH_EVENT = 'PrimeVideo.WatchEvent.(\\d+).(\\d+)/PrimeVideo.WatchEvent.(\\d+).(\\d+).csv',
    RETAIL_AUTHENTICATION = 'Retail.Authentication/Retail.Authentication.json',
    RETAIL_AUTHENTICATION_TOKENS = 'Retail.AuthenticationTokens/Retail.AuthenticationTokens.json',
    RETAIL_CHAT_MESSAGE_TRANSCRIPT = 'Retail.ChatTranscripts.MessageTranscriptsCampfire/Retail.ChatTranscripts.MessageTranscriptsCampfire.csv',
    RETAIL_COMMUNITY_CONTRIBUTION_ELIGIBILITY = 'Retail.CommunityTrust.CommunityContentContributionEligibility/Retail.CommunityTrust.CommunityContentContributionEligibility.csv',
    RETAIL_CUSTOMER_PROFILE_ATTRIBUTES = 'Retail.CustomerProfile.ProfileAttributes/Retail.CustomerProfile.ProfileAttributes.csv',
    RETAIL_CUSTOMER_QUESTION_POSTED = 'Retail.CustomerQuestionsAndAnswers.QuestionsPosted/Retail.CustomerQuestionsAndAnswers.QuestionsPosted.csv',
    RETAIL_CUSTOMER_ANSWER_POSTED = 'Retail.CustomerQuestionsAndAnswers.AnswersPosted/Retail.CustomerQuestionsAndAnswers.AnswersPosted.csv',
    RETAIL_CUSTOMER_RETURNS = 'Retail.CustomerReturns.(\\d+)/Retail.CustomerReturns.(\\d+).csv',
    RETAIL_CUSTOMER_REVIEWS = 'Retail.CustomerReviews.ReviewsVersions(\\d+)/Retail.CustomerReviews.ReviewsVersions(\\d+).csv',
    RETAIL_CUSTOMER_FEEDBACK = 'Retail.CustomerServiceFeedback.(\\d+)/Retail.CustomerServiceFeedback.(\\d+).csv',
    RETAIL_ORDER_RETURNED = 'Retail.OrdersReturned.(\\d+)/Retail.OrdersReturned.(\\d+).csv',
    RETAIL_ORDER_RETURNED_PAYMENTS = 'Retail.OrdersReturned.Payments.(\\d+)/Retail.OrdersReturned.Payments.(\\d+).csv',
    RETAIL_OUTBOUND_NOTIFICATION_EML = 'media/(.+).eml',
    RETAIL_OUTBOUND_NOTIFICATION_METADATA_1 = 'Retail.OutboundNotifications.notificationMetadata/Retail.OutboundNotifications.notificationMetadata_(\\d+).csv',
    RETAIL_OUTBOUND_NOTIFICATION_METADATA = 'Retail.OutboundNotifications.notificationMetadata/Retail.OutboundNotifications.notificationMetadata.csv',
    RETAIL_OUTBOUND_NOTIFICATION_MOBILE = 'Retail.OutboundNotifications.MobileApplications/Retail.OutboundNotifications.MobileApplications.csv',
    RETAIL_PROMOTIONS = 'Retail.Promotions.(\\d+)/Retail.Promotions.csv',
    RETAIL_SEARCH_PRODUCT_METRICS = 'Retail.Search-Data/Search-Data.Retail.Product-Metrics.csv',
    RETAIL_SEARCH_CUSTOMER_ENGAGEMENT = 'Retail.Search-Data/Search-Data.Retail.Customer-Engagement.csv',
    RETAIL_TRANSACTIONAL_INVOICING = 'Retail.TransactionalInvoicing.(\\d+)/Retail.TransactionalInvoicing.(\\d+).pdf',
    SUBSCRIPTION_BILLING_REFUNDS_DATA = 'Subscriptions.Digital-Billing-And-Refunds.(\\d+)/Billing and Refunds Data.csv',
}
